### Enumeration

# Pango BidiType

deprecated: 1.44 since: 1.22

#### Declaration

    enum Pango.BidiType

#### Description [src]

`PangoBidiType` represents the bidirectional character type of a Unicode character.

The values in this enumeration are specified by the Unicode bidirectional algorithm.

Available since: 1.22

Deprecated since: 1.44

Use fribidi for this information.

#### Members

`PANGO_BIDI_TYPE_L`

  Left-to-Right.

  - Value: `0`
  - Available since: 1.22
`PANGO_BIDI_TYPE_LRE`

  Left-to-Right Embedding.

  - Value: `1`
  - Available since: 1.22
`PANGO_BIDI_TYPE_LRO`

  Left-to-Right Override.

  - Value: `2`
  - Available since: 1.22
`PANGO_BIDI_TYPE_R`

  Right-to-Left.

  - Value: `3`
  - Available since: 1.22
`PANGO_BIDI_TYPE_AL`

  Right-to-Left Arabic.

  - Value: `4`
  - Available since: 1.22
`PANGO_BIDI_TYPE_RLE`

  Right-to-Left Embedding.

  - Value: `5`
  - Available since: 1.22
`PANGO_BIDI_TYPE_RLO`

  Right-to-Left Override.

  - Value: `6`
  - Available since: 1.22
`PANGO_BIDI_TYPE_PDF`

  Pop Directional Format.

  - Value: `7`
  - Available since: 1.22
`PANGO_BIDI_TYPE_EN`

  European Number.

  - Value: `8`
  - Available since: 1.22
`PANGO_BIDI_TYPE_ES`

  European Number Separator.

  - Value: `9`
  - Available since: 1.22
`PANGO_BIDI_TYPE_ET`

  European Number Terminator.

  - Value: `10`
  - Available since: 1.22
`PANGO_BIDI_TYPE_AN`

  Arabic Number.

  - Value: `11`
  - Available since: 1.22
`PANGO_BIDI_TYPE_CS`

  Common Number Separator.

  - Value: `12`
  - Available since: 1.22
`PANGO_BIDI_TYPE_NSM`

  Nonspacing Mark.

  - Value: `13`
  - Available since: 1.22
`PANGO_BIDI_TYPE_BN`

  Boundary Neutral.

  - Value: `14`
  - Available since: 1.22
`PANGO_BIDI_TYPE_B`

  Paragraph Separator.

  - Value: `15`
  - Available since: 1.22
`PANGO_BIDI_TYPE_S`

  Segment Separator.

  - Value: `16`
  - Available since: 1.22
`PANGO_BIDI_TYPE_WS`

  Whitespace.

  - Value: `17`
  - Available since: 1.22
`PANGO_BIDI_TYPE_ON`

  Other Neutrals.

  - Value: `18`
  - Available since: 1.22
`PANGO_BIDI_TYPE_LRI`

  Left-to-Right isolate. Since 1.48.6.

  - Value: `19`
  - Available since: 1.22
`PANGO_BIDI_TYPE_RLI`

  Right-to-Left isolate. Since 1.48.6.

  - Value: `20`
  - Available since: 1.22
`PANGO_BIDI_TYPE_FSI`

  First strong isolate. Since 1.48.6.

  - Value: `21`
  - Available since: 1.22
`PANGO_BIDI_TYPE_PDI`

  Pop directional isolate. Since 1.48.6.

  - Value: `22`
  - Available since: 1.22

#### Type functions

###### pango_bidi_type_for_unichar

Determines the bidirectional type of a character.

since: 1.22